# Created by pyp2rpm-3.3.5
%global pypi_name pyinstaller-hooks-contrib
%global srcname pyinstaller_hooks_contrib

Name:           python-%{pypi_name}
Version:        2025.1
Release:        %mkrel 1
Summary:        Community maintained hooks for PyInstaller
Group:          Development/Python
License:        None
URL:            https://github.com/pyinstaller/pyinstaller-hooks-contrib
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
The PyInstaller community hooks repository
What happens when (your?) package doesn't work with PyInstaller? Say you have
data files that you need at runtime? PyInstaller doesn't bundle those. Your
package requires others which PyInstaller can't see? How do you fix that?
In summary, a "hook" file extends PyInstaller to adapt it to the special needs
and methods used by a Python package. The word "hook" is used for two kinds of
files. A runtime hook helps the bootloader to launch an app, setting up the
environment. A package hook (there are several types of those) tells PyInstalle
r what to include in the final app - such as the data files and (hidden) imports
mentioned above.
This repository is a collection of hooks for many packages, and allows
PyInstaller to work with these packages seamlessly.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
The PyInstaller community hooks repository
What happens when (your?) package doesn't work with PyInstaller? Say you have
data files that you need at runtime? PyInstaller doesn't bundle those. Your
package requires others which PyInstaller can't see? How do you fix that?
In summary, a "hook" file extends PyInstaller to adapt it to the special needs
and methods used by a Python package. The word "hook" is used for two kinds of
files. A runtime hook helps the bootloader to launch an app, setting up the
environment. A package hook (there are several types of those) tells PyInstalle
r what to include in the final app - such as the data files and (hidden) imports
mentioned above.
This repository is a collection of hooks for many packages, and allows
PyInstaller to work with these packages seamlessly.


%prep
%autosetup -n %{srcname}-%{version}

rm -rf _pyinstaller_hooks_contrib/__pycache__/

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files _pyinstaller_hooks_contrib

# check not possible. It needs pyinstaller, but pyinstaller needs this package for installation.

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Mar 02 2025 daviddavid <daviddavid> 2025.1-1.mga10
+ Revision: 2158133
- new version: 2025.1
- rebuild for python 3.13
+ wally <wally>
- rebuild for python3.13

* Fri Dec 29 2023 papoteur <papoteur> 2023.11-1.mga10
+ Revision: 2023709
- new version 2023.11

* Sat Feb 04 2023 papoteur <papoteur> 2022.15-1.mga9
+ Revision: 1938132
- imported package python-pyinstaller-hooks-contrib

